View Issue Details

IDProjectCategoryView StatusLast Update
0004376SOGoWeb Calendarpublic2022-10-26 12:39
ReporterMathias Roland Assigned Tosmizrahi  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.3.23 
Fixed in Version5.8.0 
Summary0004376: moved repeating event not shown
Description

After creating a series of repeating events move one of these events in the week before the start of the series.

The moved event is not shown when you use the weekly view. In the monthly view the event is shown.

You can also repeat the problem when you move one event in the month before and use the month view.

In the day view the moved events are also not shown.

SOGo 3.2.10 seems to have the same problem.

Additional Information

As attachment there is an example series from 22nd January 2018 to 26th January where the 24th January was moved to the 18th January.

TagsNo tags attached.

Activities

Mathias Roland

Mathias Roland

2018-01-22 16:45

reporter  

169E-5A661180-3-497DF480.ics (1,036 bytes)   
BEGIN:VCALENDAR
PRODID:-//Inverse inc./SOGo 2.3.23//EN
VERSION:2.0
BEGIN:VTIMEZONE
TZID:Europe/Berlin
X-LIC-LOCATION:Europe/Berlin
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
UID:169E-5A661180-3-497DF480
SUMMARY:Neuer Termin
CLASS:PUBLIC
CREATED:20180122T163027Z
DTSTAMP:20180122T163027Z
LAST-MODIFIED:20180122T163027Z
RRULE:FREQ=DAILY;COUNT=5
DTSTART;TZID=Europe/Berlin:20180122T104500
DTEND;TZID=Europe/Berlin:20180122T131500
TRANSP:OPAQUE
END:VEVENT
BEGIN:VEVENT
UID:169E-5A661180-3-497DF480
SUMMARY:Neuer Termin
CLASS:PUBLIC
CREATED:20180122T163034Z
DTSTAMP:20180122T163034Z
LAST-MODIFIED:20180122T163034Z
DTSTART;TZID=Europe/Berlin:20180117T104500
DTEND;TZID=Europe/Berlin:20180117T131500
TRANSP:OPAQUE
RECURRENCE-ID:20180124T094500Z
SEQUENCE:1
END:VEVENT
END:VCALENDAR
169E-5A661180-3-497DF480.ics (1,036 bytes)   
ludovic

ludovic

2018-03-13 19:57

administrator   ~0012681

I think we should prevent this from happening at the server level.

Mathias Roland

Mathias Roland

2018-03-14 11:51

reporter   ~0012693

As far as I understand sogo, when creating or updating an event you parse the event and write the start und end dates/times in the database for an easier search.

Would it be not better to look for the earliest start date and the latest end date? Similar to the handling of RDATE in SOGo4.

smizrahi

smizrahi

2022-10-26 12:39

administrator   ~0016316

Fixed in : https://github.com/Alinto/sogo/commit/549d6a8463a1eb971f892a44c587bc28d8f669e0

Sebastien

Issue History

Date Modified Username Field Change
2018-01-22 16:45 Mathias Roland New Issue
2018-01-22 16:45 Mathias Roland File Added: 169E-5A661180-3-497DF480.ics
2018-03-13 19:57 ludovic Note Added: 0012681
2018-03-14 11:51 Mathias Roland Note Added: 0012693
2022-10-26 12:39 smizrahi Note Added: 0016316
2022-10-26 12:39 smizrahi Assigned To => smizrahi
2022-10-26 12:39 smizrahi Status new => resolved
2022-10-26 12:39 smizrahi Resolution open => fixed
2022-10-26 12:39 smizrahi Fixed in Version => 5.8.0